elfutils (0.193-3) unstable; urgency=medium

  * Fix FTBFS for missing asm/perf_regs.h (John David Anglin).
    Closes: #1114536.
  * Don't build-depend on gcc-multilib on hurd-amd64.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 10:59:45 +0200

elfutils (0.193-2) unstable; urgency=medium

  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 21:09:30 +0200

elfutils (0.193-1) experimental; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.templates: Default to using debuginfod.
    GDB has its own mechanism for detecting whether DEBUGINFOD_URLS is set
    and asking the user if they want to use it.  I don't believe we need
    to default to not using our debuginfod service anymore.

  [ Matthias Klose ]
  * Install usr/include/elfutils/libdwfl_stacktrace.h in libdw-dev.
  * Bump standards version.
  * Update libdw symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 13:03:38 +0200

elfutils (0.192-4) unstable; urgency=medium

  * Drop again the build dependency libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2024 13:13:50 +0200

elfutils (0.192-3) unstable; urgency=medium

  * Also build-depend on libjson-c-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 17:21:03 +0200

elfutils (0.192-2) unstable; urgency=medium

  * Build-depend on libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 14:08:39 +0200

elfutils (0.192-1) unstable; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.postrm: Correctly purge configuration in Debian.

  [ Matthias Klose ]
  * Drop the riscv-retval-workaround patch.
  * Don't package fish.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 12:04:15 +0200

elfutils (0.191-2) unstable; urgency=medium

  * d/control: Recommends libarchive-tools. (Closes: #1063767)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jul 2024 00:30:43 -0400

elfutils (0.191-1) unstable; urgency=medium

  * New upstream version.
  * Add translations (it, sv). Closes: #1050108, #1049367.
  * Fix cross build failure (Helmut Grohne). Closes: #1057813.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2024 11:42:59 +0100

elfutils (0.190-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 00:13:08 +0000

elfutils (0.190-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2023 14:54:07 +0100

elfutils (0.189-4) unstable; urgency=medium

  * Remove bashism in maintainer script. Closes: #999414.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Jul 2023 11:37:16 +0200

elfutils (0.189-3) unstable; urgency=medium

  * libelf-dev: Depend on libzstd-dev. Closes: #1040071.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Jul 2023 09:41:46 +0200

elfutils (0.189-2) unstable; urgency=medium

  * Use sh instead of bash in maintainer script. Closes: #999414.
  * Add Romanian debconf templates translation (Remus-Gabriel Chelu).
    Closes: #1031867.
  * Fix syntax in debian/copyright (Bastian Germann). Closes: #1032126.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2023 13:35:22 +0200

elfutils (0.189-1) experimental; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Build-depend on libzstd-dev and zstd.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Apr 2023 12:51:29 +0200

elfutils (0.188-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debconf template translation
    - Dutch translation.
      Thanks to Frans Spiesschaert (Closes: #994141)
    - French translation.
      Thanks Jean-Pierre Giraud (Closes: #994667)
    - German translation.
      Thanks Helge Kreutzmann (Closes: #997891)
    - Portuguese translation.
      Thanks Américo Monteiro (Closes: #1001920)
    - Spanish translation.
      Thanks Camaleón (Closes: #1003517)
    - Brazilian Portuguese translation.
      Thanks Paulo Henrique de Lima Santana (Closes: #1025512)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 14 Jan 2023 14:54:50 +0100

elfutils (0.188-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/copyright: Convert to machine-readable format, adding missing
    licenses.  (Closes: #1019937)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 21 Dec 2022 15:13:47 -0500

elfutils (0.188-1) unstable; urgency=medium

  * New upstream release.
  * d/p/{hurd-hacks.diff,kfreebsd-debuginfod,kfreebsd-mremap-stub}:
    Refresh patches against new upstream version.
  * d/{libdebuginfod1,libdw1}.symbols: Add new symbols.
  * d/rules: Remove debuginfod.service.8 during installation.
    Currently, we don't install debuginfod.service.
  * Rename upstream's signing key file.
    - d/u/signing-key.asc: Rename from d/upstream-signing-key.pgp.
    - d/s/included-binaries: Remove.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 13 Nov 2022 20:52:25 -0500

elfutils (0.187-4) unstable; urgency=medium

  * Fix Ubuntu upgrade path for libdebuginfod-common. (LP: #1990638)
    - d/libdebuginfod-common.postinst: Split Ubuntu-specific code into a
      separate function.  Clean up ucf/ucfr configuration files when
      upgrading from libdebuginfod-common versions before 0.187-3.  Create
      links for the debuginfod shell snippets directly.
    - d/libdebuginfod-common.postrm: Handle Debian and Ubuntu purge
      differently.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Sep 2022 16:34:05 -0400

elfutils (0.187-3) unstable; urgency=medium

  * Always install debuginfod shell snippets in Ubuntu.
    - d/libdebuginfod-common.config: Remove snippet to db_input the Ubuntu
      question.
    - d/libdebuginfod-common.postinst: Always install debuginfod shell
      snippets in Ubuntu.
    - d/libdebuginfod-common.templates: Remove
      libdebuginfod/useubuntudebuginfod question.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 21 Sep 2022 19:08:05 -0400

elfutils (0.187-2) unstable; urgency=medium

  * Pass --sysconfdir to configure and install elfutils.urls.
    - d/rules: Pass --sysconfdir to configure; don't delete elfutils.urls.
    - d/libdebuginfod-common.install: Adjust paths and install
      elfutils.urls.
  * d/rules: Cleanup debuginfod code and support Ubuntu's debuginfod.
  * d/libdebuginfod-common.templates: New question for Ubuntu's debuginfod.
  * d/libdebuginfod-common.config: Ask about Ubuntu's debuginfod.
  * d/libdebuginfod-common.post{inst,rm}: Cleanup code, fix problems
    and support Ubuntu.
    Thanks to наб <nabijaczleweli@nabijaczleweli.xyz> (Closes: #987787)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 02 Sep 2022 17:11:29 -0400

elfutils (0.187-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 May 2022 01:08:42 +0200

elfutils (0.186-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:51:35 +0100

elfutils (0.186-1) unstable; urgency=medium

  * New upstream release.
  * Don't yet install elfutils.urls.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 21:49:08 +0100

elfutils (0.185-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 18:27:02 +0200

elfutils (0.185-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 25 May 2021 20:31:36 +0200

elfutils (0.184-1) experimental; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 May 2021 12:10:27 +0200

elfutils (0.183-8) experimental; urgency=medium

  * libdebuginfod1: Relax dependency on libdebuginfod-common. Closes: #986375.
  * libdebuginfod-common: Update package description. Closes: #987036.
  * Always install the shell snippets into /etc/profile.d/.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Apr 2021 09:58:41 +0200

elfutils (0.183-7) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Populate binary-indep with proper build instructions.
  * d/control: Remove ${shlibs:Depends} from libdebuginfod-common.

  [ Matthias Klose ]
  * d/rules: Move dh_install to the install target.
  * d/rules: Add -a/-i options to the dh_ commands.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Apr 2021 17:49:43 +0200

elfutils (0.183-6) experimental; urgency=medium

  * d/libdebuginfod-common.install: Remove file.
  * d/rules:
    Implement logic to decide whether to install the debuginfod shell
    snippets under /etc/profile.d/ based on the existence of a debuginfod
    service available for the current distribution.  This is needed mostly
    for Ubuntu and other derivatives which don't have debuginfod services
    available yet.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 26 Mar 2021 01:14:28 -0400

elfutils (0.183-5) experimental; urgency=medium

  * d/libdebuginfod-common.install:
    Install the debuginfod profile.d snippets under
    /usr/share/libdebuginfod-common/ instead of directly under
    /etc/profile.d/.
  * d/libdebuginfod-common.config:
    Check for the "debuginfod.sh" snippet under
    /usr/share/libdebuginfod-common/.
  * d/libdebuginfod-common.postinst:
    Perform modifications in the debuginfod shell snippets that now live
    under /usr/share/libdebuginfod-common/, before moving them (using ucf)
    to /etc/profile.d/. (Closes: #985044)
  * d/libdebuginfod-common.postrm:
    New postrm file which takes care of purging the debuginfod shell
    snippets under /etc/profile.d/.
  * d/control: Make libdebuginfod-common depend on ucf.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 19 Mar 2021 15:58:25 -0400

elfutils (0.183-4) experimental; urgency=medium

  * Apply KFreeBSD patches (Christoph Berg), not forwarded.
  * Fix build on the Hurd.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 20:10:42 +0100

elfutils (0.183-2) unstable; urgency=medium

  * d/control:
    - B-D on lsb-release.
    - B-D on po-debconf.
    - Create new libdebuginfod-common package.
    - Add myself to Uploaders.
  * d/rules:
    - Use https://debuginfod.debian.net as our default service.
      Also, revamp the code responsible for determining libdebuginfod
      configuration flags.
    - Invoke dh_installdebconf.
  * d/libdebuginfod-common.templates: Create a debconf template.
    Also, create d/po/POTFILES.in and d/po/templates.pot.
    This template is for the question of whether the user accepts GDB or
    another debuginfo consumer program to connect to Debian's debuginfod
    server.
  * d/libdebuginfod-common.config: Ask if the user accepts to use Debian's
    debuginfod.
  * d/libdebuginfod-common.postinst: Act upon the user's answer to the
    debconf question.
    If the user has accepted to use Debian's debuginfod, then the script
    confirms the value of the DEBUGINFOD_URLS environment variable present
    in the shell excerpts under /etc/profile.d.  Otherwise, the script
    will set the variable to an empty value, disabling the remote
    connection to the debuginfod server. (Closes: #983434)
  * d/libdebuginfod-common.install: Install the profile.d snippets.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 28 Feb 2021 21:07:16 -0500

elfutils (0.183-1) unstable; urgency=medium

  * New upstream release. Changes compared to the snapshot:
    - backends/ppc_initreg.c: include <asm/ptrace.h>.
    - NEWS and version, and copyright updates.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Feb 2021 09:56:24 +0100

elfutils (0.182+20210205-1) unstable; urgency=high

  * Snapshot, taken three days before the 0.183 release. Create a source
    tarball using make dist.
  * Make the build reproducible (Helmut Grohne). Closes: #981835, #981924.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Feb 2021 19:07:32 +0100

elfutils (0.182+20210203-1) unstable; urgency=medium

  * Snapshot, taken five days before the 0.183 release.
  * Update libdebuginfod1 symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2021 14:59:12 +0100

elfutils (0.182-3) unstable; urgency=medium

  * Build with -flto-partition=none when building with -flto.
  * Stop building with -fpermissive.
  * tests/dwfl-proc-attach.c: Remove old glibc hack.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2021 14:05:13 +0100

elfutils (0.182-2) unstable; urgency=medium

  * Fix FTCBFS: perform bootstrap build with dummy libdebuginfod and without
    debuginfod (Helmut Grohne). Closes: #973981.
  * Fix build profile pkg.elfutils.nodebuginfod. Closes: #976875.
  * Don't use MAKEFLAGS in the packaging. Closes: #965955.
  * Fix unwinding support for 32bit S390, taken from the trunk.
    Thanks to Andreas Krebbel and Frank Heimes. LP: #1908756.
  * Call dh_dwz.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Dec 2020 12:52:31 +0100

elfutils (0.182-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in debian/copyright. Closes: #914414.
  * Add pkg.elfutils.nodebuginfod build profile (Helmut Grohne).
    Closes: #966705.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Nov 2020 10:22:37 +0100

elfutils (0.181-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Sep 2020 22:31:59 +0200

elfutils (0.180-1) unstable; urgency=medium

  * Transfer to team maintenance, add Kurt Roeckx and myself as uploaders.
  * Add VCS attributes to the control file.
  * New upstream release.
  * Build-depend on pkg-config, libarchive-dev, libmicrohttpd-dev,
    libcurl4-gnutls-dev, libsqlite3-dev.
  * Build with -fpermissive.
  * Don't package debuginfod yet.
  * New binary packages debuginfod, libdebuginfod1, libdebuginfod-dev.
  * Use dh_autoreconf.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 19:34:22 +0200

elfutils (0.176-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission
  * Fixes FTBFS on riscv64 (Closes: #928832)

 -- Karsten Merker <merker@debian.org>  Tue, 28 May 2019 20:53:12 +0200

elfutils (0.176-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2019-7150 (Closes: #920909)
    - Fixes CVE-2019-7149 (Closes: #920910)
    - Fixes CVE-2019-7146 (Closes: #920911)
    - Fixes CVE-2019-7665 (Closes: #921880)
    - Fixes CVE-2019-7664 (Closes: #921881)
    - Fixes CVE-2019-7148
    - Drop 0001-tests-Call-test_cleanup-in-backtrace-subr.sh-check_u.patch,
      applied upstream.
  * Update upstream PGP key to new one

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 16 Feb 2019 14:54:50 +0100

elfutils (0.175-2) unstable; urgency=medium

  * Add support for the mips ABI CFI callback
  * Properly clean up in test suite on skipped tests

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 30 Dec 2018 15:02:01 +0100

elfutils (0.175-1) unstable; urgency=medium

  * New upstream release
    - Build with gcc-8 (Closes: #911276)
    - Drop fix-gcc7-ftbfs.diff
    - Drop GNU_variable_value.patch
    - Drop locviews.patch
    - Update patches
  * Fixes CVE-2018-18521 (Closes: #911413)
  * Fixes CVE-2018-18520 (Closes: #911414)
  * Fixes CVE-2018-18310 (Closes: #911083)
  * Fixes CVE-2018-16403
  * Fixes CVE-2018-16402
  * Fixes CVE-2018-16062 (Closes: #907562)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 18 Nov 2018 23:01:23 +0100

elfutils (0.170-0.5) unstable; urgency=medium

  * Non-maintainer upload acked by Kurt Roeckx.
  * Fix FTCBFS: Add zlib1g-dev:native to Build-Depends. (Closes: #901748)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 24 Jun 2018 20:54:50 +0200

elfutils (0.170-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport patches for DWARF locview support (Mark Wielaard).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Apr 2018 14:21:19 +0200

elfutils (0.170-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add disable_werror.patch. (Closes: #886004)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 28 Jan 2018 14:52:20 +0100

elfutils (0.170-0.2) unstable; urgency=medium

  * Non-maintainer upload, acked by maintainer.
  * libelf-dev,libdw-dev: Add missing dependencies for packages that
    our pkg-config files requires (zlib1g-dev, liblzma-dev).
    (Closes: #885071)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 30 Dec 2017 18:14:17 +0100

elfutils (0.170-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Fix fallthrough warnings exposed by GCC 7. Closes: #853387.
  * Bump standards version.
  * Configure with --disable-silent-rules.
  * Update libdw1 symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Sep 2017 00:07:19 +0200

elfutils (0.168-1) unstable; urgency=medium

  * Fix CVE-2017-7607 (Closes: #859996)
  * Fix CVE-2017-7608 (Closes: #859995)
  * Fix CVE-2017-7609 (Closes: #859994)
  * Fix CVE-2017-7610 (Closes: #859993)
  * Fix CVE-2017-7611 (Closes: #859992)
  * Fix CVE-2017-7612 (Closes: #859991)
  * Fix CVE-2017-7613 (Closes: #859990)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 27 May 2017 15:05:37 +0200

elfutils (0.168-0.2) unstable; urgency=medium

  * debian/copyright: Update to the current licensing, as introduced
    with elfutils 0.154.
  * Drop the m68k_backend.diff patch.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 14:23:54 +0100

elfutils (0.168-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - m68k_backend.diff: Don't apply.
    - testsuite-amd64-fix-backtrace-native.patch: Remove, applied upstream.
    - Refresh patches.
    - Build failure on non Linux targets fixed. Closes: #816394.
  * Update libdw1 symbols file.
  * Improve DEB_BUILD_OPTIONS=nocheck handling (Helmut Grohne). See #832456.
    - Don't treat DEB_BUILD_OPTIONS=casinocheck as nocheck.
    - Don't default to nocheck for cross building.
    - Annotate Build-Depends: gcc-multilib with <!nocheck> profile.
  * Update reference to new sourceware.org home.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 06:09:04 +0100

elfutils (0.166-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * testsuite-amd64-fix-backtrace-native.patch: Backport upstream
    patch to fix FTBFS on amd64 (Closes: #841124)

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 18 Oct 2016 08:13:34 +0100

elfutils (0.166-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on gcc-multilib and libc6-dbg on sparc64 (Closes: #832584)

 -- James Clarke <jrtc27@jrtc27.com>  Fri, 07 Oct 2016 15:16:09 +0100

elfutils (0.166-2) unstable; urgency=medium

  * Actually add ignore_strmerge.diff to the patch series.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 18:46:20 +0200

elfutils (0.166-1) unstable; urgency=medium

  * New upstream release
  * Ignore run-native-test on Hurd, the maps file doesn't have
    paths in it.  Patch from Samuel Thibault <sthibault@debian.org> 
    (Closes: #682101)
  * Make cross compilation actually work.  Patch from Helmut Grohne
    <helmut@subdivi.de>  (Closes: #818099)
  * Add libebl.a to libdw-dev (Closes: #825747, #647918)
  * Ignore strmerge test failured, needed on at least mips.  Patch
    from Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
    (Closes: #818485)
  * Change versioned build-depends on debhelper from 8.1.3 to 9 to
    make lintian happy.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 17:25:04 +0200

elfutils (0.165-3) unstable; urgency=medium

  * Add patches from Mark Wielaard to fix non-Linux issues.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 16 Jan 2016 17:53:34 +0100

elfutils (0.165-2) unstable; urgency=medium

  * Make the new libelf.h work with older elf.h from glibc (Closes: #810885)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 13 Jan 2016 17:50:08 +0100

elfutils (0.165-1) unstable; urgency=medium

  * New upstream release
  * Install libelf.pc and libdw.pc file.
  * Update libelf1.symbols and libdw1.symbols with 0.165 version

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 11 Jan 2016 21:28:32 +0100

elfutils (0.164-1) unstable; urgency=medium

  * New upstream release
    - Fixes sparc64 issues (Closes: #805630)
    - Drop patches applied upstream: 0001-Reduce-scope-of-some-includes.patch, 
      0002-tests-Mark-an-unused-argument-as-such.patch,
      0003-tests-dwfl-bug-fd-leak-Guard-against-null-module-add.patch,
      0004-tests-skip-run-deleted.sh-when-dwfl_linux_proc_attac.patch,
      pr18792.diff
    - Remove redhat-portability.diff and scanf-format.patch
    - Update backend to use to stop using the old-style function
      definition: hppa_backend.diff, m68k_backend.diff, mips_backend.diff

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 26 Dec 2015 20:55:48 +0100

elfutils (0.163-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix finding the detached debug info when no build-id's are used.
    Closes: #795386.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2015 12:25:05 +0200

elfutils (0.163-5) unstable; urgency=medium

  * Fix typo in 0003-Add-mips-n64-relocation-format-hack.patch that
    causing crash (Closes: #794488)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 08 Aug 2015 15:12:31 +0200

elfutils (0.163-4) unstable; urgency=medium

  * More fixes for kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 11:39:55 +0000

elfutils (0.163-3) unstable; urgency=medium

  * Fix build failures on kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 13:01:57 +0200

elfutils (0.163-2) unstable; urgency=medium

  * Drop non_linux.patch, it has been applied upstream

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 15:49:09 +0200

elfutils (0.163-1) unstable; urgency=medium

  * New upstream release
    - Drop arm_unsupported.patch, arm64.patch, CVE-2014-9447.patch,
      arm_syscall.patch, arm_func_value.patch, arm_unwind_ret_mask.patch,
      unaligned.patch, aarch64-run-native-test-fix.patch: applied upstream
    - Added ppc64el support (Closes: #754798)
    - Fixed too much string replacement (Closes: #775117)
  * Add flex and bison to build-depends
  * Change hppa, m68k and mips backend to not use the removed DW_TAG_mutable_type.
  * Ignore errors on kfreebsd in the native test suite (Closes: #649038)
  * Add mips64el support (Closes: #774639)
  * install known-dwarf.h in libdw-dev
  * Update libdw1.symbols file

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 14:30:21 +0200

elfutils (0.159-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an upstream patch to fix the build failure on arm64 (closes: #776523).

 -- Michael Gilbert <mgilbert@asachi.debian.org>  Fri, 13 Feb 2015 22:30:44 +0000

elfutils (0.159-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-9447: path traversal issue in ar (closes: #775536).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Jan 2015 01:49:30 +0000

elfutils (0.159-4) unstable; urgency=medium

  [ Wookey ]
  * Fix failing run-native-test on arm64 (from Mark Wielaard)
    (Closes: #753552)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 06 Jul 2014 15:21:48 +0200

elfutils (0.159-3) unstable; urgency=medium

  * Make it build again on the non linux ports.
  * Handle unaligned data when reading core files.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 24 Jun 2014 22:14:25 +0200

elfutils (0.159-2) unstable; urgency=medium

  * Add patches from Mark Wielaard <mjw@redhat.com> to make
    things work on armhf.
  * Build-Depends on libc6-dbg on arm* to make the backtrace
    tests work instead of skip.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 15 Jun 2014 16:15:55 +0200

elfutils (0.159-1) unstable; urgency=medium

  * New upstream release
    - Removed patches applied upstream: elfutils-robustify.patch, 
      core_filename.patch, CVE-2014-0172.patch, unwind_non_linux.patch
    - Add libdwelf.h to libdw-dev
    - New functions in libdw: udpate symbols file
  * Also output tests/test-suite.log on failure
  * Also Build-Depend on libc6-dbg on powerpcspe, ppc64 and ppc64el

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 May 2014 22:03:29 +0200

elfutils (0.158-2) unstable; urgency=medium

  * There is no support for unwinding on non-Linux ports, make it
    build on them and make the test suite skip the tests.
  * Build-Depend on libc6-dbg on powerpc so that we have unwind
    information.  This is a work around for things not being 
    build using -fasynchronous-unwind-tables
  * Output tests/test-suite.log
  * Add support for parallel building

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 01 May 2014 19:04:06 +0200

elfutils (0.158-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream
    - Add supports for arm64 (Closes: #745368)
    - Update libdw1.symbols.
  * Apply core_filename.patch from Matthias Klose
  * Fix CVE-2014-0172 (Closes: #744017)
  * Add upstream signing key.
  * Remove config/ar-lib file during clean

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Apr 2014 12:59:25 +0200

elfutils (0.157-3) unstable; urgency=low

  * Build-Depend on gcc-multilib on [any-amd64] instead of [amd64]

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 17 Nov 2013 22:54:31 +0100

elfutils (0.157-2) unstable; urgency=low

  * Application in the readelf binary package, libdw1 itself use internal
    APIs from libelf and so need a strict dependency on the same libelf1
    binary package.  libasm1 also needs a strict dependency on libdw1 since
    it uses libebl.a and so uses the MODVERSION to open the backends.  The
    dependency from libasm1 to libdw1 was missing.
    Disabling the thread safety resulted in struct Elf's size changing
    causing things like eu-readelf to break when an older libelf1 was
    installed.
  * Apply patch from upstream to fix the IA64 regression failure
    with a powerpc binary

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 Nov 2013 15:20:06 +0100

elfutils (0.157-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make arm_backend.diff apply to the new upstream version
    - Adjust symbol files for new symbols
  * Adjust addrcfi test results for arm to work with our arm patch.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 01 Oct 2013 18:21:23 +0200

elfutils (0.156-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make hppa_backend.diff, arm_backend.diff, mips_backend.diff,
      m68k_backend.diff, testsuite-ignore-elflint apply to the new
      upstream version
    - Drop patches elf_end_unlock.patch, alldts.patch, strip_sh_type.patch:
      applied upstream
    - Works with binutils-gold (Closes: #647359)
    - Works with gcc 4.8 (Closes: #701271)
  * drop elf_additions.diff, it's not used.
  * Remove config.h.in and test-driver during clean (Closes: #695927)
  * Add build dependency on gcc-multilib [amd64] to have a working gcc -m32
    for the test suite.
  * arm backend: change r12 back to signed, no idea why it was made unsigned.
  * arm backend: rename the "special" set to "state".
  * Our arm backend patch adds more registers, update the arm_backend.diff to 
    expectd those changes in the test suite
  * disable thread safety, it's not tested upstream.
  * Update libdw1.symbols

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 28 Jul 2013 14:32:23 +0200

elfutils (0.153-2) unstable; urgency=low

  * Make it actually build properly using build-arch.  (Closes: #684528)
  * Call rwlock_unlock() before rwlock_fini().  The lock was still held
    causing problems on kfreebsd.  (Closes: #662041)
  * Don't exclude sh_type >= SHT_NUM from stripping, it's set to
    SHT_MIPS_DWARF on mips. (Closes: #662041)
  * readelf -w didn't show the content of debug sections on mips
    because sh_type was set to SHT_MIPS_DWARF.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Sep 2012 21:12:08 +0200

elfutils (0.153-1) unstable; urgency=low

  [ Jonathan Nieder <jrnieder@gmail.com> ]
  * Run autotools at build time.
    - debian/control: Build-Depends: autoconf, automake.
    - debian/rules:
      - config.status:
        - depend on configure.ac, not configure.
        - autoreconf -fis.
      - clean: remove autotools-generated files to avoid .diff.gz
        changes when built twice in a row.
    - debian/patches: remove do-autoreconf.diff.

  [ Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> ]
  * Convert to multiarch. (Closes: #657139)
  * Added build-{arch,indep} targets.
  * Switched to use 'dh_prep' instead of 'dh_clean -k'

  [ Kurt Roeckx ]
  * New upstream release
    - Portability patch has workaround for broken bswap_32 macro.
      This should also have been fixed in glibc code.  (Closes: #595496)
    - Fix bashism in configure script (Closes: #647350)
  * Remove Christian Aichinger from uploaders (Closes: #661119)
  * Make the m68k port functional, thanks to a patch from
    Thorsten Glaser <tg@mirbsd.de> (Patch in #595496, #384794)
  * Fix test suite to set up test environment (alldts.patch).
  * Use dpkg-buildflags.  Build-Depend on dpkg-dev (>= 1.16.1~) for
    buildflags.mk.
  * Call configure with --enable-maintainer-mode so all files get regenerated
    Also add Build-Depends on gawk for this to work.
  * Revert %m[ to %a[ change in addr2line and line2addr from the portability
    patch.
  * Clean up more files (Makefile.in, libdw/known-dwarf.h)
  * Set libdir to the multiarch dir, so that the rpath gets set up correctly
    and that we don't have to move the files in the rules file.
 
 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 24 Feb 2012 20:23:08 +0100

elfutils (0.152-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch.
    - Update symbol file for libdw1, 2 new functions.
  * Remove obsolete files from the debian dir.
  * Update watch file to work with newer versions.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 08 Sep 2010 19:54:20 +0200

elfutils (0.148-1) unstable; urgency=low

  * New upstream release
    - Drop debug_filename.patch, applied upstream.
    - New symbols in libdw1, update symbols file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 03 Jul 2010 15:01:59 +0200

elfutils (0.147-2) unstable; urgency=low

  * Open the proper file with debug info in case they have the same
    name.  (Closes: #555549)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 18:38:27 +0200

elfutils (0.147-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 24 May 2010 10:49:05 +0200

elfutils (0.146-1) unstable; urgency=low

  * New upstream release
    - adds better support for the sh arch
    - Add build-depedency on liblzma-dev
    - Add build-depedency on gettext
    - Add tanslations to libelf1.  All packges making use of those
      files depend on it.
    - New symbols dwfl_core_file_report in libdw1, update symbol file.
  * Call configure with --enable-thread-safety

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 24 Apr 2010 11:55:24 +0200

elfutils (0.145-1) unstable; urgency=low

  * New upstream release
  * Make elfutils depend libdw1 (= ${binary:Version}).  The static libebl.a
    that it used by the applications in changes MODVERSION on rebuild.  It's
    the only thing making use of libebl.a

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 24 Feb 2010 19:36:07 +0100

elfutils (0.144-1) unstable; urgency=low

  * New upstream version
    - Fixes segfault in systemtap (Closes: #556133)
    - Remove elflint-comment.diff and nobits.diff, applied upstream.
    - dwarf_aggregate_size got added in libdw1,
      elf_getphdrnum got added to libelf: update symbol file.
  * Switch to dpkg-source 3.0 (quilt) format
  * hppa: Use dwarf_aggregate_size().
  * Add ${misc:Depends} to all packages
  * Change Standards-Version to 3.8.4, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 Feb 2010 23:27:18 +0100

elfutils (0.143-2) unstable; urgency=low

  * Prevent segfault from debug only files.  (Closes: #556133)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 16 Nov 2009 18:22:43 +0100

elfutils (0.143-1) unstable; urgency=low

  * New upstream release.
    - Upstream added new symbols in libdw1, adjust symbol file.
  * Remove the fix-bswap-warnings.diff and pointer_cast.diff
    patch, they weren't used anyway.
  * Remove posix_fadvise.diff and namelen.diff, applied upstream.
  * Add elflint-comment.diff, from upstream git.  Fixes a regression
    suite error with newer binutils.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 21:06:21 +0000

elfutils (0.142-1) unstable; urgency=low

  * New upstream version
  * Provide a static version of libdw.  Do not use it unless you
    know what you're doing.  (Closes: #538375)
  * Replace elf_getshstrndx by elf_getshdrstrndx in the mips backend.
    elf_getshstrndx has been deprecated.
  * Upstream added new symbols, adjust symbol files.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 14 Aug 2009 13:56:30 +0200

elfutils (0.141-2) unstable; urgency=low

  * Make libdw-dev Depend on libdw1 (Closes: #526824)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 May 2009 22:07:59 +0200

elfutils (0.141-1) unstable; urgency=low

  * New upstream release
    - Update redhat-robustify.diff and redhat-portability.diff
    - Remove redhat-strip-copy-symtab.diff, does not seem to be used anymore.
      Also remove things in the rules file that deal with it, and
      drop sharutils from build-depends.
    - Remove elflint_initialization.diff, unaligned.diff, pointer_cast.diff,
      gnu_inline.diff, readelf_subelf.diff, gcc-4.3_support: applied or
      fixed some other way upstream
  * Update watch file to new location.
  * Make libasm-dev conflict with libasm0-dev (Closes: #509042)
  * Create a shared version of libdw, and move libebl's file
    in the libdw1 package.  Drop the static versions of libdw and libebl.
    There is no libebl-dev anymore.  (Closes: #457543)
  * Add elfutils/version.h to libelf-dev
  * Run test suite with LC_CTYPE=C, to have the same sort ordering.
  * Add Build-Dependency on zlib1g-dev, libbz2-dev and m4.
  * Start using dpkg-gensymbols:
    - libasm1: Upstream added disasm_begin, disasm_cb, disasm_end
      and disasm_str to ELFUTILS_1.0 in 0.132, the others are there
      since 0.120.
    - libelf1: ELFUTILS_1.2 was added in 0.122, ELFUTILS_1.3 in
      0.130 and ELFUTILS_1.4 in 0.132.  gelf_rawchunk
      and gelf_freechunk got removed in 0.131.
    - libdw1: Versions are when get got introduced.  dwarf_getelf
      was removed from ELFUTILS_0.122 and changed to ELFUTILS_0.126
      in 0.126
  * libasm1 and libelf1 added new functions, bump shlibs
  * Update Standards-Version to 3.8.1
    - Change ${Source-Version} to ${binary:Version}
    - Add support for DEB_BUILD_OPTIONS nocheck
    - Add upstream Homepage
  * Don't use -$(MAKE) distclean
  * Remove debian/dirs file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 May 2009 16:30:39 +0200

elfutils (0.131-4) unstable; urgency=low

  * Move static functions the only file that uses it.  Avoids warning
    using gcc-4.3.  Thanks to Maximiliano Curia for the patch.
    (Closes: #467103)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 13:40:13 +0000

elfutils (0.131-3) unstable; urgency=low

  * Add m68k backend.
  * Fix copyright file to point to /usr/share/common-licenses/GPL-2

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 26 Dec 2007 19:53:09 +0100

elfutils (0.131-2) unstable; urgency=low

  * Bump shlibs for libelf1 since it added new functions.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 17 Dec 2007 18:33:45 +0100

elfutils (0.131-1) unstable; urgency=low

  * New usptream version. (Closes: #455878)
    - ebl_core_note() changed function arguments.
    - libelf: Add functions: gelf_getauxv(), gelf_update_auxv(),
      gelf_getnote(), elf_getdata_rawchunk().
      removed gelf_rawchunk(), gelf_freechunk()
    - Changed some types from off_t to off64_t.  The library
      was always build with LFS, so it's just a correction of the types.
  * merge patches
  * arm, hppa and mips backend: Use dwarf_attr_integrate() instead of
    dwarf_attr(), and dwarf_hasattr_integrate() instead of dwarf_hasattr().
  * Add patch from Aurelien Jarno <aurel32@debian.org> to support
    GNU/kFreeBSD  (Closes: #452428)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 15 Dec 2007 20:31:14 +0100

elfutils (0.128-1) unstable; urgency=low

  * New upstream release:
    Remove patch alpha_backend_regs.diff, upstream implemented
    it themself (with the aliases for the register names).
  * Make libasm-dev conflict with libelfsh0-dev again, the 0.123-3 change
    got lost.  (Closes: #404054)
  * First cast main to an intptr_t before casting it to a 64 bit int.
    Directly casting from a pointer to 64 bit int gives a warning
    on 32 bit systems (with gcc-4.2).  (Closes: #431455)
  * Also check for /proc/$$.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 08 Jul 2007 19:28:46 +0000

elfutils (0.127-4) unstable; urgency=low

  * Use the gnu_inline attribute for inline functions so it build with
    gcc-4.2.  (Closes: #424548)
  * Add check for maps and auxv file in the proc dir to try and debug
    the sparc build failure.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 18 May 2007 13:41:35 +0200

elfutils (0.127-3) unstable; urgency=low

  * Update unaligned patch to also work when we're using -O2.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 13 May 2007 22:48:57 +0200

elfutils (0.127-2) unstable; urgency=low

  * Remove duplicate initialization of DT_PLTRELSZ in elflint.
    (Closes: #393812)
  * Only using posix_fadvise() when we have POSIX_FADV_SEQUENTIAL since
    some arches like kFreeBSD don't support it.  (Closes: #404091)
  * Fix unaligned accesses on IA64.  Added patch unaligned.diff.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 13 May 2007 18:12:01 +0200

elfutils (0.127-1) unstable; urgency=low

  * New upstream release:
    Remove patches applied upstream: fix-testsuite.diff, maintainer_mode.diff,
    fix-distclean-to-really-distclean.diff, sparc_retval-backend.diff,
    elflint-alpha.diff, fix-readelf.diff, fix-alignment-sparc.diff,
    native-pid.diff, unalligned-endian.diff
  * register_name() got replaced by register_info().  Update backends
    to add dwarf type and number of bits info for those backends:
    alpha, arm, hppa, mips
  * Added redhat-strip-copy-symtab.diff patch.  Inlucde 
    testfile16.symtab.bz2 and testfile16.symtab.debug.bz2 test files.
    Add sharutils to build-depends for uudecode.
  * Updated redhat-portability.diff: Now includes fix-mipsel-ftbfs.diff
    so remove it.
  * Add various types to elf.h
  * Update watch file to use a different url.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  5 May 2007 15:59:46 +0200

elfutils (0.123-2) unstable; urgency=low

  [ Kurt Roeckx ]
  * Add backend support for alpha: adding the registers.
  * Add backend support for arm: adding regs and retval.
    Thanks to Eugeniy Meshcheryakov <eugeniy.meshcheryakov@googlemail.com>
  * Add backend support for hppa, thanks to
    Eugeniy Meshcheryakov <eugeniy.meshcheryakov@googlemail.com>
  * Add some missing ELFOSABI_* and EM_* to elf.h

  [ Christian Aichinger ]
  * Fix sparc backend retval
  * Add mips backend.
  * Rewrite the static backend so making changes to the backends
    is easier.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 27 Aug 2006 15:48:23 +0000

elfutils (0.123-1) unstable; urgency=low

  * New upstream release
    - Add IA64 backend support
    - Remove redhat-fix-cast.diff, applied upstream
    - Make patches apply to new upstream version.
  * Include configure and all Makefile.in's in the configure patch.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 15 Aug 2006 19:42:44 +0000

elfutils (0.122-4) unstable; urgency=low

  [ Kurt Roeckx ]
  * The backends init functions should be functions, not pointers
    to functions.  Also thanks to Eugeniy Meshcheryakov
    for pointing out the same.  This should fix the segmentation faults
    seen on ia64.
  * When doing x && y &, bash retuns the pid for x, while the script
    expected the one for y.  Other shells I've tried return that of y.
    As a result the run-native-test.sh keeps a "native" process running.
    Removed the &&, so it always gets the correct pid.  (Closes: #382758)
  * Fix endiannes problems for opening files of your own endiannes
    when not avoiding unaligned access.  This didn't affect
    i386 and amd64.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 13 Aug 2006 15:08:32 +0000

elfutils (0.122-3) unstable; urgency=low

  [ Kurt Roeckx ]
  * Add build dependency on bzip2, so that all the regression
    tests can run.
  * elflint: Add EM_ALPHA to valid_e_machine.

  [ Christian Aichinger]
  * Add retval to the sparc backend.
  * Ignore testsuite failures that elflint reports.
  * readelf should check destshdr instead of shdr.
  * Fix alignment problems in libdw_alloc seen on sparc.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed,  9 Aug 2006 19:21:05 +0000

elfutils (0.122-2) unstable; urgency=low

  * Make libelf-dev Conflict with libelfg0-dev since they both ship
    the same library and headers.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri,  4 Aug 2006 19:38:32 +0000

elfutils (0.122-1) unstable; urgency=low

  * Initial release (Closes: #368248)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 21 May 2006 15:03:01 +0000

